package com.yaoyicloud.tools;

import com.itextpdf.kernel.colors.DeviceRgb;
import com.itextpdf.kernel.geom.Rectangle;
import com.itextpdf.kernel.pdf.PdfDocument;
import com.itextpdf.kernel.pdf.canvas.PdfCanvas;
import com.itextpdf.layout.element.Paragraph;
import com.itextpdf.layout.renderer.DrawContext;
import com.itextpdf.layout.renderer.IRenderer;
import com.itextpdf.layout.renderer.ParagraphRenderer;


public  class FancyParagraphRenderer extends ParagraphRenderer {

    private PdfDocument document;

    public FancyParagraphRenderer(Paragraph modelElement, PdfDocument document) {
        super(modelElement);

        this.document = document;
    }

    @Override
    public void draw(DrawContext drawContext) {
        PdfCanvas canvas = drawContext.getCanvas();


        Rectangle rect = getOccupiedArea().getBBox();

        canvas.saveState()
                .setStrokeColor(new DeviceRgb(20, 116, 252))
                .setLineWidth(0.8f)
                .moveTo(rect.getX(), rect.getY() - 2)
                .lineTo(document.getDefaultPageSize().getWidth() - 36, rect.getY() - 2)
                .stroke()
                .restoreState();

        super.draw(drawContext);
    }

    @Override
    public IRenderer getNextRenderer() {
        return new FancyParagraphRenderer((Paragraph) modelElement, document);
    }
    }
