package com.yaoyicloud.render.test;

import static org.junit.Assert.assertTrue;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

import org.junit.Test;

import com.yaoyicloud.render.AuditResult;
import com.yaoyicloud.render.AuditResultRender;
import com.yaoyicloud.render.CheckItemScore;

public class TestAuditResultRender {

    @Test
    public void testRenderDocx() throws IOException {

        byte[] content = Files
            .readAllBytes(Paths.get(getClass().getClassLoader().getResource("docx/check_overview.docx").getFile()));
        AuditResultRender render = new AuditResultRender("../temp/");
        String retPath = render.renderDocx(
            new AuditResult("30", "my opinion", "whoami", LocalDate.now(), "",
                "high risk", "accept it",
                new ArrayList<CheckItemScore>(List.of(
                    new CheckItemScore(1L, "cate1", "name1", 1L),
                    new CheckItemScore(2L, "cate2", "name2", 2L)
                ))
            ),
            content);

        assertTrue(retPath.length() > 0);
    }

}
